Package org.springframework.jdbc.support.xml

# Class SqlXmlFeatureNotImplementedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.InvalidDataAccessApiUsageException
org.springframework.jdbc.support.xml.SqlXmlFeatureNotImplementedException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="6.2") public class SqlXmlFeatureNotImplementedException extends org.springframework.dao.InvalidDataAccessApiUsageException
Deprecated.
as of 6.2, in favor of direct `ResultSet.getSQLXML(int)` and `Connection.createSQLXML()` usage, possibly in combination with a custom `SqlValue` implementation
Exception thrown when the underlying implementation does not support the requested feature of the API.

Since:
  2.5.5
Author:
  Thomas Risberg
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SqlXmlFeatureNotImplementedException(String msg)`
Deprecated.
Constructor for SqlXmlFeatureNotImplementedException.
`SqlXmlFeatureNotImplementedException(String msg, Throwable cause)`
Deprecated.
Constructor for SqlXmlFeatureNotImplementedException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SqlXmlFeatureNotImplementedException

public SqlXmlFeatureNotImplementedException(String msg)
Deprecated.
Constructor for SqlXmlFeatureNotImplementedException.

Parameters:
  `msg` - the detail message

### SqlXmlFeatureNotImplementedException

public SqlXmlFeatureNotImplementedException(String msg, Throwable cause)
Deprecated.
Constructor for SqlXmlFeatureNotImplementedException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the data access API in use